<div class="dialog-container">
  <div class="title" mat-dialog-title>
    <div>{{'Create Field'}}</div>
    <button (click)="onClose()" mat-icon-button>
      <mat-icon>close</mat-icon>
    </button>
  </div>

  <div class="content" mat-dialog-content>
    <mat-form-field appearance="outline">
      <mat-label>{{"Name" }}</mat-label>
      <input [formControl]="nameControl" autocomplete="off" matInput type="text">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>{{"Farm"}}</mat-label>
      <mat-select [formControl]="farmControl" disableOptionCentering>
        <mat-option *ngFor="let farm of $companyFarms | async" [value]="farm.id">
          {{farm.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="actions" mat-dialog-actions>
    <button (click)="onClose()" mat-raised-button>
      {{ 'Cancel' }}
    </button>
    <button (click)="onSave()" [disabled]="!isValid()" color="primary" mat-raised-button>
      {{ 'Save' }}
    </button>
  </div>
</div>
